#ifndef MAGMA
#define MAGMA
#endif
//----------------------------------------------------------------------------
// ObjectWindows
// (C) Copyright 1992, 1994 by Borland International, All Rights Reserved
//
//   Defines class TMagmaEditView
//----------------------------------------------------------------------------
#if !defined(OWL_MAGMAEDITVIEW_H)
#define OWL_MAGMAEDITVIEW_H

#if !defined(OWL_DOCMANAG_H)
# include <owl/docmanag.h>
#endif
#if !defined(OWL_MAGMAEDITSEAR_H)
#if defined(MAGMA)
  #include <owl\medtsear.h>
#else
  #include <owl\editsear.h>
#endif
#endif

//
//  class TMagmaEditView
//  ----- ---------
//
class _OWLCLASS TMagmaEditView : public TMagmaEditSearch, public TView {
  public:
    TMagmaEditView(TDocument& doc, TWindow* parent = 0);
   ~TMagmaEditView();
#if defined(MAGMA)
    static const char far* StaticName() {return "Magma Edit View";}  // put in resource
#else
    static const char far* StaticName() {return "Edit View";}  // put in resource
#endif
    //
    // overridden virtuals from TView
    //
    const char far*   GetViewName(){return StaticName();}
    TWindow* GetWindow()  {return (TWindow*)this;}
    bool     SetDocTitle(const char far* docname, int index)
                          {return TMagmaEditSearch::SetDocTitle(docname, index); }
    //
    // overridden virtuals from TWindow
    //
    bool   Create();
    void   PerformCreate(int menuOrId);
    bool   CanClose()   {return TMagmaEditSearch::CanClose() && Doc->CanClose();}

  protected:
    long   Origin;
    bool   LoadData();
    //
    // message response functions
    //
    void   EvNCDestroy();
    bool   VnCommit(bool force);
    bool   VnRevert(bool clear);
    bool   VnIsWindow(HWND hWnd) {return HWindow == hWnd;}
    bool   VnIsDirty()  {return TMagmaEditSearch::IsModified();}
    bool   VnDocClosed(int omode);
        
  DECLARE_RESPONSE_TABLE(TMagmaEditView);
  DECLARE_STREAMABLE(_OWLCLASS, TMagmaEditView,1);
};

#endif  // OWL_MAGMAEDITVIEW_H

